//
//  MagazinePageViewController.m
//  ADVNewsstand
//
//  Created by Tope Abayomi on 10/07/2013.
//  Copyright (c) 2013 App Design Vault. All rights reserved.
//

#import "MagazinePageViewController.h"
#import "MagazineViewController.h"
#import "AppDelegate.h"

@interface MagazinePageViewController ()

@property (nonatomic, strong) UIToolbar* toolbar;

@property (nonatomic, assign) BOOL barsHidden;

@property (nonatomic) int currentPage;

@end

@implementation MagazinePageViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    self.pageController = [[UIPageViewController alloc]
                           initWithTransitionStyle:UIPageViewControllerTransitionStyleScroll
                           navigationOrientation:UIPageViewControllerNavigationOrientationHorizontal
                           options:nil];
    
    
    
    self.pageController.delegate = self;
    self.pageController.dataSource = self;
    self.pageController.view.frame = self.view.bounds;
    
    [self.view addSubview:self.pageController.view];
    
    MagazineViewController *initialViewController;
    if([[NSUserDefaults standardUserDefaults] objectForKey:@"lastController"])
    {
        NSInteger i = [[[NSUserDefaults standardUserDefaults] objectForKey:@"lastController" ] integerValue];
        initialViewController = [self viewControllerAtIndex:i];
        if(!initialViewController)
            initialViewController = [self viewControllerAtIndex:0];
    }
    else
        initialViewController = [self viewControllerAtIndex:0];
    
    NSArray *viewControllers = @[initialViewController];
    
    [self.pageController setViewControllers:viewControllers
                             direction:UIPageViewControllerNavigationDirectionForward
                              animated:NO
                            completion:nil];
    
    
    [self.pageController didMoveToParentViewController:self];
    
    

   
    CGRect toolbarRect = self.view.bounds;
    toolbarRect.size.height = 64;
    
    self.toolbar = [[UIToolbar alloc] initWithFrame:toolbarRect];
    self.toolbar.autoresizingMask = UIViewAutoresizingFlexibleWidth;
    
    self.toolbar.tintColor = [UIColor whiteColor];
    
    UIBarButtonItem *returnButton = [[UIBarButtonItem alloc] initWithTitle:@"Library" style:UIBarButtonItemStyleBordered target:self action:@selector(returnToIssuesListTappedInToolbar:)];
    self.toolbar.items = @[returnButton];
    self.barsHidden = NO; // JAINAM CHANGED HERE
    [self.view addSubview:self.toolbar];
    
    
    




    
    
    NSNotificationCenter *center = [NSNotificationCenter defaultCenter];
    [center addObserver:self selector:@selector(scrollToScreen:) name:@"internalScreen" object:nil];
    
    [center addObserver:self selector:@selector(hideBarVisibility) name:@"webViewDidStartLoad" object:nil];

    
//    [self hideBarVisibility];
    
    CGRect newNavigationFrame = [self getNewNavigationFrame:self.barsHidden];
    self.toolbar.frame = newNavigationFrame;
    self.barsHidden = YES;
    
    
    [[NSUserDefaults standardUserDefaults] setObject:self.htmlFiles forKey:@"htmlFiles"];
    [[NSUserDefaults standardUserDefaults] synchronize];
    
    
    
    
    
    
    
    
    

    
    
    
    
    
//    UIButton *button = [[UIButton alloc] init];
////    [button addTarget:self action:@selector(methodCalled) forControlEvents:UIControlEventTouchUpInside];
////    [button setTitle:@"" forState:UIControlStateNormal];
//    [button setBackgroundColor:[UIColor clearColor]];
//    button.frame = CGRectMake(0.0, 0.0, 320, 568);
//    [self.view addSubview:button];
//
//   
//    
//    UIButton *button1 = [[UIButton alloc] init];
////    [button1 addTarget:self action:@selector(methodCalledBackward) forControlEvents:UIControlEventTouchUpInside];
////    [button1 setTitle:@"Move Backward" forState:UIControlStateNormal];
//    [button1 setBackgroundColor:[UIColor blackColor]];
//    button1.frame = CGRectMake(528, 0, 40, 568);
//    [self.view addSubview:button1];
    
    
    
    blSwipeGesture = TRUE;
    swipeleft=[[UISwipeGestureRecognizer alloc]initWithTarget:self action:@selector(methodCalled)];
    swipeleft.direction=UISwipeGestureRecognizerDirectionLeft;
    swipeleft.delegate = self;
    swipeleft.numberOfTouchesRequired = 1;
    [self.pageController.view addGestureRecognizer:swipeleft];
    
    swiperight=[[UISwipeGestureRecognizer alloc]initWithTarget:self action:@selector(methodCalledBackward)];
    swiperight.delegate = self;
    swiperight.numberOfTouchesRequired = 1;
    swiperight.direction=UISwipeGestureRecognizerDirectionRight;
    [self.pageController.view addGestureRecognizer:swiperight];
    
    UITapGestureRecognizer *tapGesture = [[UITapGestureRecognizer alloc] initWithTarget:self action:@selector(handleSingleTap:)];
    
    tapGesture.numberOfTouchesRequired = 1;
    tapGesture.numberOfTapsRequired = 2; // JAINAM CHANGED HERE
    tapGesture.delegate = self;
    [self.pageController.view addGestureRecognizer:tapGesture];

    
    
    [self.view bringSubviewToFront:self.toolbar];
    
    
}

- (void)loadWebViewWithPageAtPath:(NSString*)filePath {
    
    if ([[NSFileManager defaultManager] fileExistsAtPath:filePath]) {
        //NSLog(@"• Loading: book/%@", [[NSFileManager defaultManager] displayNameAtPath:filePath]);
        [self.webView loadRequest:[NSURLRequest requestWithURL:[NSURL fileURLWithPath:filePath]]];
    }
}


- (void) methodCalledBackward
{
    NSInteger i = [[[NSUserDefaults standardUserDefaults] objectForKey:@"lastController" ] integerValue];
    i--;
    MagazineViewController *centralViewController2  = [self viewControllerAtIndex:i];

    if(centralViewController2)
    {
        NSArray *controllers2 = @[centralViewController2];
        [self.pageController setViewControllers:controllers2
                                      direction:UIPageViewControllerNavigationDirectionReverse
                                       animated:YES
                                     completion:nil];
    }
}

- (void) methodCalled
{
    NSInteger i = [[[NSUserDefaults standardUserDefaults] objectForKey:@"lastController" ] integerValue];
    i++;
    MagazineViewController *centralViewController2  = [self viewControllerAtIndex:i];
    if(centralViewController2)
    {
        NSArray *controllers2 = @[centralViewController2];
        [self.pageController setViewControllers:controllers2
                                      direction:UIPageViewControllerNavigationDirectionForward
                                       animated:YES
                                     completion:nil];
    }
}

- (void)viewWillDisappear:(BOOL)animated {
    [super viewWillDisappear:animated];
}


- (void)pageViewController:(UIPageViewController *)pageViewController willTransitionToViewControllers:(NSArray *)pendingViewControllers
{
    NSLog(@"WILL TRANSITION TO VIEW CONTROLLERS %@", [pendingViewControllers description]);
    
}

- (void) scrollToScreen: (NSNotification*) theNotification
{
    
    
    
    
//    NSString *strIndex = [NSString stringWithFormat:@"%d", self.currentPage];
//    
//    NSLog(@"STRINDEX STORED:::::::::: %@", strIndex);
//    
//    [[NSUserDefaults standardUserDefaults] setObject:strIndex forKey:@"lastController"];
//    [[NSUserDefaults standardUserDefaults] synchronize];

    
    NSLog(@"SCROLLED TO SCREEN");
    
    int pageController = 0;
    if([[[theNotification userInfo] valueForKey:@"HTML"] isKindOfClass:[NSString class]]){
        NSString *html = [[theNotification userInfo] valueForKey:@"HTML"]; 
        for(int i = 0; i < self.htmlFiles.count; i++){
            if([html isEqualToString:self.htmlFiles[i]]){
                pageController = i;
                break;
            }
        }

         
        if(pageController > self.currentPage){
            if(pageController-self.currentPage > 2){
                MagazineViewController *centralViewController2 = [self viewControllerAtIndex:pageController-1];
                NSArray *controllers2 = @[centralViewController2]; 
                [self.pageController setViewControllers:controllers2
                                              direction:UIPageViewControllerNavigationDirectionForward
                                               animated:YES
                                             completion:nil];
            }
            
            MagazineViewController *centralViewController = [self viewControllerAtIndex:pageController];
            NSArray *controllers = @[centralViewController];
            self.currentPage = pageController;
            [self.pageController setViewControllers:controllers
                                          direction:UIPageViewControllerNavigationDirectionForward
                                           animated:YES
                                         completion:nil];
        }
        else{
            if(self.currentPage-pageController > 2){
                MagazineViewController *centralViewController2 = [self viewControllerAtIndex:pageController+1];
                NSArray *controllers2 = @[centralViewController2]; 
                [self.pageController setViewControllers:controllers2
                                              direction:UIPageViewControllerNavigationDirectionReverse
                                               animated:YES
                                             completion:nil];
            }
            
            MagazineViewController *centralViewController = [self viewControllerAtIndex:pageController];
            NSArray *controllers = @[centralViewController];
            self.currentPage = pageController;
            [self.pageController setViewControllers:controllers
                                          direction:UIPageViewControllerNavigationDirectionReverse
                                           animated:YES
                                         completion:nil];
        }    
    }
} 


- (UIViewController *)pageViewController:(UIPageViewController *)pageViewController viewControllerBeforeViewController:(UIViewController *)viewController
{
    
    
    [self hideBarVisibility];
    
    
    if(self.currentPage > 0)
        self.currentPage--;
    
    NSUInteger index = [self indexOfViewController:(MagazineViewController *)viewController];
    if ((index == 0) || (index == NSNotFound)) {
        return nil;
    }
    
    index--;
    return [self viewControllerAtIndex:index];
}

- (UIViewController *)pageViewController:(UIPageViewController *)pageViewController viewControllerAfterViewController:(UIViewController *)viewController
{

    [self hideBarVisibility];
  
    
    
    if(self.currentPage < self.htmlFiles.count)
        self.currentPage++;
    
    NSUInteger index = [self indexOfViewController:(MagazineViewController *)viewController];
    if (index == NSNotFound) {
        return nil;
    }
    
    index++;
    if (index ==  self.htmlFiles.count) {
        return nil;
    }
    
    return [self viewControllerAtIndex:index];
}


- (MagazineViewController *)viewControllerAtIndex:(NSUInteger)index
{
    
    [self hideBarVisibility];
    
    if ((self.htmlFiles.count == 0) || (index >= self.htmlFiles.count)) {
        return nil;
    }

    NSString* path = [NSString stringWithFormat:@"%@/%@", self.issue.downloadedPath, self.htmlFiles[index]];
    
    MagazineViewController *magController = [[MagazineViewController alloc] init];
    
    magController.path = path;
    magController.lastPathComponent = self.htmlFiles[index];
    
    return magController;
}

- (NSUInteger)indexOfViewController:(MagazineViewController *)viewController
{ 
    return [self.htmlFiles indexOfObject:viewController.lastPathComponent];
}


- (BOOL)gestureRecognizer:(UIGestureRecognizer *)gestureRecognizer shouldRecognizeSimultaneouslyWithGestureRecognizer:(UIGestureRecognizer *)otherGestureRecognizer
{
    return YES;
}

- (void)handleSingleTap:(UIGestureRecognizer*)gesture{
    

    
    [self toggleBarVisibility];
    
    
    
    
}

- (void)toggleBarVisibility{
    
    CGRect newNavigationFrame = [self getNewNavigationFrame:self.barsHidden];
    
    [[UIApplication sharedApplication] setStatusBarHidden:!self.barsHidden];
    [UIView animateWithDuration:0.3
                          delay:0
                        options:UIViewAnimationOptionCurveEaseOut
                     animations:^{
                         self.toolbar.frame = newNavigationFrame;
                     }
                     completion:^(BOOL finished) {
                         self.barsHidden = !self.barsHidden;
                         
                     }];
}

- (void)hideBarVisibility
{
    

    CGRect newNavigationFrame = [self getNewNavigationFrame:FALSE];

    
    
    [[UIApplication sharedApplication] setStatusBarHidden:!self.barsHidden];
    [UIView animateWithDuration:0.3
                          delay:0
                        options:UIViewAnimationOptionCurveEaseOut
                     animations:^{
                         self.toolbar.frame = newNavigationFrame;
                     }
                     completion:^(BOOL finished) {
                         self.barsHidden = TRUE;
                         
                     }];

}

- (CGRect)getNewNavigationFrame:(BOOL)hidden {
    
    int navX = self.toolbar.frame.origin.x;
    int navY = 0;
    int navW = self.toolbar.frame.size.width;
    int navH = self.toolbar.frame.size.height;
    
    if (hidden) {
        [self.pageController.view removeGestureRecognizer:swiperight];
        [self.pageController.view removeGestureRecognizer:swipeleft];
    } else {
        [self.pageController.view addGestureRecognizer:swiperight];
        [self.pageController.view addGestureRecognizer:swipeleft];
        navY = -75;
    }
    
    return CGRectMake(navX, navY, navW, navH);
}

- (IBAction)returnToIssuesListTappedInToolbar:(id)sender
{
    [self dismissViewControllerAnimated:YES completion:nil];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
