//
//  MagazineViewController.m
//  ADVNewsstand
//
//  Created by Tope Abayomi on 10/07/2013.
//  Copyright (c) 2013 App Design Vault. All rights reserved.
//

#import "MagazineViewController.h"
#import "ExternalLinkPageViewController.h" 
#import "MagazinePageViewController.h"

@interface MagazineViewController ()

- (void)loadWebViewWithPageAtPath:(NSString*)filePath; 

@end

@implementation MagazineViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    if(!self.webView){
        self.webView = [[UIWebView alloc] initWithFrame:self.view.bounds];
        self.webView.autoresizingMask = UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth;
        self.webView.delegate = self; //JUAN
        
        self.webView.userInteractionEnabled = YES;
        [self.view addSubview:self.webView];
    }
    

}


- (void) viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
    
    [self loadWebViewWithPageAtPath:self.path];
}



- (void) viewDidDisappear:(BOOL)animated
{
    [super viewDidDisappear:animated];
    
    NSURL *url = [NSURL URLWithString:@""];
    NSURLRequest *requestObj = [NSURLRequest requestWithURL:url];
    [self.webView loadRequest:requestObj];
}


- (void)loadWebViewWithPageAtPath:(NSString*)filePath {
    
    if ([[NSFileManager defaultManager] fileExistsAtPath:filePath]) {
        //NSLog(@"• Loading: book/%@", [[NSFileManager defaultManager] displayNameAtPath:filePath]);
        [self.webView loadRequest:[NSURLRequest requestWithURL:[NSURL fileURLWithPath:filePath]]]; 
    }
}

- (void)webViewDidFinishLoad:(UIWebView *)webView
{
    NSLog(@"webViewDidFinishLoad");
    
    
    
    NSString *clickedURL = [[NSString alloc] initWithFormat:@"%@",[webView.request.URL absoluteString]];
    
    NSString *linkType = [clickedURL substringWithRange:NSMakeRange(0, 4)];
    NSLog(@"TYPE HERE::: %@, URL HERE:::: %@",linkType, clickedURL);
    
    if([linkType isEqual: @"file"]){
        NSRange rangeHtml = [clickedURL rangeOfString:@"/" options:NSBackwardsSearch];
        NSString *html = [clickedURL substringWithRange:NSMakeRange(rangeHtml.location+1,[clickedURL length]-(rangeHtml.location+1))];
        
        NSArray *arr = [html componentsSeparatedByString:@"?"];
        if([arr count]>0)
            html = [arr firstObject];
        
        
        NSLog(@"FILE NAME::: %@",html);
        
        
        NSMutableDictionary *dictionary = [[NSMutableDictionary alloc] init];
        [dictionary setObject:html forKey:@"HTML"];
        
        //JAINAM CHANGED HERE...
        
        
        if([[NSUserDefaults standardUserDefaults] objectForKey:@"htmlFiles"])
        {
            NSArray *htmlFiles = [[NSUserDefaults standardUserDefaults] objectForKey:@"htmlFiles"];
            
            for(int i = 0; i < htmlFiles.count; i++){
                if([html isEqualToString:htmlFiles[i]]){
                    
                    NSString *strIndex = [NSString stringWithFormat:@"%d", i];
                    
                    NSLog(@"STRINDEX STORED:::::::::: %@", strIndex);
                    [[NSUserDefaults standardUserDefaults] setObject:strIndex forKey:@"lastController"];
                    [[NSUserDefaults standardUserDefaults] synchronize];
                    break;
                }
            }


        }
        
    }
    
    
}

- (void)webViewDidStartLoad:(UIWebView *)webView
{
    NSNotificationCenter *center = [NSNotificationCenter defaultCenter];
    [center postNotificationName:@"webViewDidStartLoad" object:nil userInfo:nil];
}


- (BOOL)webView:(UIWebView *)webView shouldStartLoadWithRequest:(NSURLRequest *)request navigationType:(UIWebViewNavigationType)navigationType { //JUAN
    
    NSLog(@"shouldStartLoadWithRequest %li",(long)navigationType);
    
    
    


    
    
    
    
    if (navigationType == UIWebViewNavigationTypeLinkClicked ) {
    
        NSString *clickedURL = [[NSString alloc] initWithFormat:@"%@",request.URL];
        
        NSString *linkType = [clickedURL substringWithRange:NSMakeRange(0, 4)];
        NSLog(@"TYPE HERE::: %@, URL HERE:::: %@",linkType, clickedURL);
        
        if([linkType isEqual: @"file"]){
            NSRange rangeHtml = [clickedURL rangeOfString:@"/" options:NSBackwardsSearch]; 
            NSString *html = [clickedURL substringWithRange:NSMakeRange(rangeHtml.location+1,[clickedURL length]-(rangeHtml.location+1))];
            NSLog(@"FILE NAME%@",html);
            
            
            NSMutableDictionary *dictionary = [[NSMutableDictionary alloc] init];
            [dictionary setObject:html forKey:@"HTML"];
            
            //JAINAM CHANGED HERE...
            
            
            if([[NSUserDefaults standardUserDefaults] objectForKey:@"htmlFiles"])
            {
                NSArray *htmlFiles = [[NSUserDefaults standardUserDefaults] objectForKey:@"htmlFiles"];
            
                for(int i = 0; i < htmlFiles.count; i++){
                    if([html isEqualToString:htmlFiles[i]]){
                        
                        NSString *strIndex = [NSString stringWithFormat:@"%d", i];

                        NSLog(@"STRINDEX STORED:::::::::: %@", strIndex);
                        [[NSUserDefaults standardUserDefaults] setObject:strIndex forKey:@"lastController"];
                        [[NSUserDefaults standardUserDefaults] synchronize];
                        break;
                    }
                }
            }
            
            
            NSNotificationCenter *center = [NSNotificationCenter defaultCenter];
            [center postNotificationName:@"internalScreen" object:nil userInfo:dictionary];
        }
        else{
            ExternalLinkPageViewController * pageViewController = [[ExternalLinkPageViewController alloc] init];
            pageViewController.URL = request.URL;
            [self presentViewController:pageViewController animated:YES completion:nil];
        }
        
        return NO;
    }
        
    return YES;
}


- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
