//
//  Config.m
//  Almond-AppVault
//
//  Created by Roman Stetsenko on 19/12/14.
//  Copyright (c) 2014 AkmStudio Ltd. All rights reserved.
//


#import "Config.h"


@implementation Config

// parseAppId (dev)             szFTksp76OWpRM0znSii67jjYeWThGYpa9RGL9ST
// parseClientKey (dev)         3W60qDTZJjFCWn3iK7QtLwmoHuZe3TIFfO95UAmt
// parseAppId (production)      RcdFFEXCFq0BfLscmKzsOK2ebBpRF4ceDvmTSl0G
// parseClientKey (production)  jC83FJLb1Evyo1UGeh9VH11pZLjkS2C5zIka2MC8


// App Data //

+ (NSURL *)jsonUrl {
    NSURL *result = [NSURL URLWithString:@"http://magazinelogin.com/assets/publications/boonmagazine/data/boon-master.json"];
    return result;
}

+ (NSString *)parseAppId {
    NSString *result = @"szFTksp76OWpRM0znSii67jjYeWThGYpa9RGL9ST";
    return result;
}

+ (NSString *)parseClientKey {
    NSString *result = @"3W60qDTZJjFCWn3iK7QtLwmoHuZe3TIFfO95UAmt";
    return result;
}

+ (NSString *)iTunesSharedSecret {
    NSString *result = @"2e7eb713c1124527a50478c3e51c3a0e";
    return result;
}

+ (BOOL)isNewsstandApp {
    NSDictionary *dict = [[NSBundle mainBundle] infoDictionary];
    BOOL result = [dict[@"UINewsstandApp"] boolValue];
    return result;
}

+ (UIFont *)appMainFont:(CGFloat)size {
    UIFont *result = [UIFont fontWithName:@"Avenir-Book" size:size];
    return result;
}

+ (UIColor *)appMainColor {
    UIColor *result = [UIColor colorWithRed:250/255.0 green:157/255.0 blue:28/255.0 alpha:1];
    return result;
}



// App Header //

+ (NSString *)headerSubscribeText {
    return @"";
}

+ (NSString *)headerSubscribedText {
    return @"";
}

+ (NSString *)headerSubscribeTextIpad {
    return @"";
}

+ (NSString *)headerSubscribedTextIpad {
    return @"";
}

+ (UIColor *)subscriptionTextColor {
    UIColor *result = [UIColor colorWithRed:0/255.0 green:0/255.0 blue:0/255.0 alpha:1];
    return result;
}

// Issue Cell //

+ (CGFloat)issueImageAspectRatio {
    CGFloat result = 560.0/795.0;// 1135.0/1561.0;
    return result;
}

+ (UIColor *)issueTitleLabelColor {
    UIColor *result = [UIColor colorWithRed:0/255.0 green:0/255.0 blue:0/255.0 alpha:1];
    return result;
}

+ (UIColor *)issueCellBackgroundColor {
    UIColor *result = [UIColor colorWithRed:255/255.0 green:255/255.0 blue:255/255.0 alpha:1];
    return result;
}

+ (float)ver {
    return 2.33f;
}

// Issue Preview //

+ (UIColor *)appProgressViewColor {
    UIColor *result = [UIColor colorWithRed:250/255.0 green:157/255.0 blue:28/255.0 alpha:1];
    return result;
}

+ (UIColor *)appPageControlColor {
    UIColor *result = [UIColor colorWithRed:250/255.0 green:157/255.0 blue:28/255.0 alpha:1];
    return result;
}

+ (UIColor *)appActivityIndicatorColor {
    UIColor *result = [UIColor colorWithRed:250/255.0 green:157/255.0 blue:28/255.0 alpha:1];
    return result;
}

+ (UIColor *)previewTitleColor {
    UIColor *result = [UIColor colorWithRed:0/255.0 green:0/255.0 blue:0/255.0 alpha:1];
    return result;
}

+ (UIColor *)previewDescriptionTextColor {
    UIColor *result = [UIColor colorWithRed:0/255.0 green:0/255.0 blue:0/255.0 alpha:1];
    return result;
}

+ (UIColor *)underiOS8BackgroundColor {
    UIColor *result = [UIColor colorWithRed:245/255.0 green:245/255.0 blue:245/255.0 alpha:1];
    return result;
}

+ (UIBlurEffect *)appPreviewBlurEffect {
//    UIBlurEffect *result = [UIBlurEffect effectWithStyle:UIBlurEffectStyleDark];
        UIBlurEffect *result = [UIBlurEffect effectWithStyle:UIBlurEffectStyleExtraLight];
    return result;
}


// App Navigation Bar //

+ (NSString *)magazineName {
    NSString *result = @"BOON";
    if ([UIDevice currentDevice].userInterfaceIdiom == UIUserInterfaceIdiomPad) {
        result = @"BOON Magazine";
    }
    return result;
}

+ (UIColor *)appNavigationBarTintColor {
    UIColor *result = [UIColor colorWithRed:255/255.0 green:255/255.0 blue:255/255.0 alpha:1];
    return result;
}

+ (UIColor *)appNavigationBarColor {
    UIColor *result = [UIColor colorWithRed:250/255.0 green:157/255.0 blue:28/255.0 alpha:1];
    return result;
}


+ (UIColor *)appNavigationBarTitleColor {
    UIColor *result = [UIColor whiteColor];
    return result;
}



// Buttons //

+ (void)prepareButton:(UIButton *)button {
    button.backgroundColor = [Config appMainColor];
    [button setTitleColor:[UIColor colorWithRed:(255/255.0) green:(255/255.0) blue:(255/255.0) alpha:1] forState:UIControlStateNormal];
    button.layer.borderColor = [Config appBorderColor].CGColor;
    button.layer.cornerRadius = 5;
    button.layer.borderWidth = 1.0;
    button.titleLabel.font = [Config appMainFont:13.0f];
}

+ (UIColor *)appBorderColor {
    UIColor *result = [UIColor colorWithRed:250/255.0 green:157/255.0 blue:28/255.0 alpha:1];
    return result;
}


@end

