//
//  Config.h
//  Almond-AppVault
//
//  Created by Roman Stetsenko on 19/12/14.
//  Copyright (c) 2014 AkmStudio Ltd. All rights reserved.
//


#import <Foundation/Foundation.h>


@interface Config : NSObject

// App Data //

+ (NSURL *)jsonUrl;
+ (NSString *)parseAppId;
+ (NSString *)parseClientKey;
+ (NSString *)iTunesSharedSecret;
+ (BOOL)isNewsstandApp;
+ (UIFont *)appMainFont:(CGFloat)size;
+ (UIColor *)appMainColor;


// App Header //

+ (NSString *)headerSubscribeText;
+ (NSString *)headerSubscribedText;
+ (NSString *)headerSubscribeTextIpad;
+ (NSString *)headerSubscribedTextIpad;
+ (UIColor *)subscriptionTextColor;


// Issue Cell //

+ (CGFloat)issueImageAspectRatio;
+ (UIColor *)issueTitleLabelColor;
+ (UIColor *)issueCellBackgroundColor;
//+ (UIColor *)issue
+ (float)ver;


// Issue Preview //

+ (UIColor *)appProgressViewColor;
+ (UIColor *)appPageControlColor;
+ (UIColor *)appActivityIndicatorColor;
+ (UIColor *)previewTitleColor;
+ (UIColor *)previewDescriptionTextColor;
+ (UIColor *)underiOS8BackgroundColor;
+ (UIBlurEffect *)appPreviewBlurEffect;

// App Navigation Bar //

+ (NSString *)magazineName;
+ (UIColor *)appNavigationBarTintColor;
+ (UIColor *)appNavigationBarColor;
+ (UIColor *)appNavigationBarTitleColor;


// Buttons //

+ (void)prepareButton:(UIButton *)button;
+ (UIColor *)appBorderColor;


@end

