//
//  Config.m
//  Almond-AppVault
//
//  Created by Roman Stetsenko on 19/12/14.
//  Copyright (c) 2014 AkmStudio Ltd. All rights reserved.
//


#import "Config.h"


@implementation Config

// parseAppId (dev)             msXVYYwwNvyaXdetGbBuuoAuvoEqW6uO0Jqc5DkZ
// parseClientKey (dev)         5Wi8qbWtVN7pCWKaxBhKj6tIBEvUrNTG8fO8cK42
// parseAppId (production)      p2x8LJBSg1ynDYKjtW6CUZwtGifHLb7IJpdMrPdq
// parseClientKey (production)  GEGZvaHV4tQLWiCaCtCE0VnwcyIhE8zcQ7IvMMPy


// App Data //

+ (NSURL *)jsonUrl {
    NSURL *result = [NSURL URLWithString:@"http://magazinelogin.com/assets/publications/noblerotmagazine/data/noblerot-master.json"];
    return result;
}

+ (NSString *)parseAppId {
    NSString *result = @"msXVYYwwNvyaXdetGbBuuoAuvoEqW6uO0Jqc5DkZ";
    return result;
}

+ (NSString *)parseClientKey {
    NSString *result = @"5Wi8qbWtVN7pCWKaxBhKj6tIBEvUrNTG8fO8cK42";
    return result;
}

+ (NSString *)iTunesSharedSecret {
    NSString *result = @"2e7eb713c1124527a50478c3e51c3a0e";
    return result;
}

+ (BOOL)isNewsstandApp {
    NSDictionary *dict = [[NSBundle mainBundle] infoDictionary];
    BOOL result = [dict[@"UINewsstandApp"] boolValue];
    return result;
}

+ (UIFont *)appMainFont:(CGFloat)size {
    UIFont *result = [UIFont fontWithName:@"Avenir-Book" size:size];
    return result;
}

+ (UIColor *)appMainColor {
    UIColor *result = [UIColor colorWithRed:95/255.0 green:177/255.0 blue:188/255.0 alpha:1];
    return result;
}



// App Header //

+ (NSString *)headerSubscribeText {
    return @"Subscribe to Analog Journal iPhone";
}

+ (NSString *)headerSubscribedText {
    return @"You are subscribed to Bricks Magazine iPhone";
}

+ (NSString *)headerSubscribeTextIpad {
    return @"Subscribe to Bricks Magazine iPad";
}

+ (NSString *)headerSubscribedTextIpad {
    return @"You are Subscribed to Bricks Magazine iPad";
}

+ (UIColor *)subscriptionTextColor {
    UIColor *result = [UIColor colorWithRed:95/255.0 green:177/255.0 blue:188/255.0 alpha:1];
    return result;
}

// Issue Cell //

+ (CGFloat)issueImageAspectRatio {
    CGFloat result = 560.0/719.0;// 1135.0/1561.0;
    return result;
}

+ (UIColor *)issueTitleLabelColor {
    UIColor *result = [UIColor colorWithRed:95/255.0 green:177/255.0 blue:188/255.0 alpha:1];
    return result;
}

+ (UIColor *)issueCellBackgroundColor {
    UIColor *result = [UIColor colorWithRed:255/255.0 green:255/255.0 blue:255/255.0 alpha:1];
    return result;
}

+ (float)ver {
    return 2.33f;
}

// Issue Preview //

+ (UIColor *)appProgressViewColor {
    UIColor *result = [UIColor colorWithRed:95/255.0 green:177/255.0 blue:188/255.0 alpha:1];
    return result;
}

+ (UIColor *)appPageControlColor {
    UIColor *result = [UIColor colorWithRed:95/255.0 green:177/255.0 blue:188/255.0 alpha:1];
    return result;
}

+ (UIColor *)appActivityIndicatorColor {
    UIColor *result = [UIColor colorWithRed:95/255.0 green:177/255.0 blue:188/255.0 alpha:1];
    return result;
}

+ (UIColor *)previewTitleColor {
    UIColor *result = [UIColor colorWithRed:95/255.0 green:177/255.0 blue:188/255.0 alpha:1];
    return result;
}

+ (UIColor *)previewDescriptionTextColor {
    UIColor *result = [UIColor colorWithRed:95/255.0 green:177/255.0 blue:188/255.0 alpha:1];
    return result;
}

+ (UIColor *)underiOS8BackgroundColor {
    UIColor *result = [UIColor colorWithRed:35/255.0 green:35/255.0 blue:35/255.0 alpha:1];
    return result;
}

+ (UIBlurEffect *)appPreviewBlurEffect {
    UIBlurEffect *result = [UIBlurEffect effectWithStyle:UIBlurEffectStyleDark];
    //    UIBlurEffect *result = [UIBlurEffect effectWithStyle:UIBlurEffectStyleExtraLight];
    return result;
}

// App Navigation Bar //

+ (NSString *)magazineName {
    NSString *result = @"Noble Rot";
    if ([UIDevice currentDevice].userInterfaceIdiom == UIUserInterfaceIdiomPad) {
        result = @"Noble Rot Magazine";
    }
    return result;
}

+ (UIColor *)appNavigationBarTintColor {
    UIColor *result = [UIColor colorWithRed:95/255.0 green:177/255.0 blue:188/255.0 alpha:1];
    return result;
}

+ (UIColor *)appNavigationBarColor {
    UIColor *result = [UIColor colorWithRed:95/255.0 green:177/255.0 blue:188/255.0 alpha:1];
    return result;
}


+ (UIColor *)appNavigationBarTitleColor {
    UIColor *result = [UIColor blackColor];
    return result;
}



// Buttons //

+ (void)prepareButton:(UIButton *)button {
    button.backgroundColor = [Config appMainColor];
    [button setTitleColor:[UIColor colorWithRed:(255/255.0) green:(255/255.0) blue:(255/255.0) alpha:1] forState:UIControlStateNormal];
    button.layer.borderColor = [Config appBorderColor].CGColor;
    button.layer.cornerRadius = 5;
    button.layer.borderWidth = 1.0;
    button.titleLabel.font = [Config appMainFont:13.0f];
}

+ (UIColor *)appBorderColor {
    UIColor *result = [UIColor colorWithRed:95/255.0 green:177/255.0 blue:188/255.0 alpha:1];
    return result;
}


@end

