//
//  IAPManager.h
//  Almond-AppVault
//
//  Created by Roman Stetsenko on 11/12/14.
//  Copyright (c) 2014 AkmStudio Ltd. All rights reserved.
//


#import <Foundation/Foundation.h>
#import <StoreKit/StoreKit.h>
#import "IAPProduct.h"


@interface IAPPeriod : NSObject

@property (nonatomic, strong) NSDate *startDate;
@property (nonatomic, strong) NSDate *endDate;

@end

@protocol IAPProtocol;

@interface IAPManager : NSObject

@property (nonatomic, strong) NSArray *products; // array of IAPProduct
@property (nonatomic, weak) id <IAPProtocol> delegate;

@property (nonatomic, assign) BOOL production;

- (void)getSKProducts:(void(^)(NSError *error))completion; // fills skProduct of IAPProduct instance in products

- (BOOL)isPurchased:(IAPProduct *)product;
- (void)isPurchased:(IAPProduct *)product completion:(void(^)(BOOL purchased, NSError *error))completion;

- (void)getSubscribedPeriods:(void(^)(NSArray *periods, NSError *error))completion;
- (void)isSubscribedNow:(void(^)(BOOL subscribed, NSDate *endDate, NSError *error))completion;

- (void)purchaseProduct:(IAPProduct *)product completion:(void(^)(NSError *error))completion;

- (void)restorePurchases:(void(^)(NSError *error))completion;

@end

@protocol IAPProtocol <NSObject>

- (void)isPurchasedNonRenewableSubscription:(IAPProduct *)product completion:(void(^)(BOOL purchased, NSError *error))completion;
- (void)getNonRenewableSubscriptionPurchasedPeriods:(void(^)(NSArray *periods, NSError *error))completion;

@end

