//
//  IAPProduct.h
//  Almond-AppVault
//
//  Created by Roman Stetsenko on 11/12/14.
//  Copyright (c) 2014 AkmStudio Ltd. All rights reserved.
//


#import <Foundation/Foundation.h>
#import <StoreKit/StoreKit.h>


typedef enum : NSUInteger {
    IAPTypeUnknown,
    IAPTypeConsumable,
    IAPTypeNonConsumable,
    IAPTypeSubscriptionAutoRenewable,
    IAPTypeSubscriptionFree, // Newsstand only
    IAPTypeSubscriptionNonRenewable
} IAPType;


@interface IAPProduct : NSObject

@property (nonatomic, readonly) NSString *productId;
@property (nonatomic, readonly) IAPType type;
@property (nonatomic, strong) SKProduct *skProduct;

- (instancetype)initWithId:(NSString *)productId type:(IAPType)type;
- (void)getSKProduct:(void(^)(NSError *error))completion;

@end

