//
//  MagIssue.h
//  Baker
//
//  Created by Tope on 19/06/2012.
//  Copyright (c) 2012 AppDesignVault. All rights reserved.
//


#import <Foundation/Foundation.h>
#import <NewsstandKit/NewsstandKit.h>
#import "IAPProduct.h"


typedef NS_ENUM(NSUInteger, IssueType) {
    IssueTypeUnknown,
    IssueTypePDF,
    IssueTypeHPUB,
    IssueTypeHTML
};


typedef NS_ENUM(NSUInteger, IssueStatus) {
    IssueStatusNotPurchased, // issue need to buy
    IssueStatusNotDownloaded, // issue need to download
    IssueStatusDownloading, // issue is downloading
    IssueStatusReady // issue ready
};


@interface Issue : NSObject

@property (nonatomic, readonly) NSString *uniqueId;
@property (nonatomic, readonly) NSString *title;
@property (nonatomic, readonly) NSString *descriptionText;
@property (nonatomic, readonly) NSDate *publicationDate;
@property (nonatomic, readonly) NSURL *coverImageUrl;
@property (nonatomic, readonly) NSURL *contentUrl;
@property (nonatomic, readonly) NSArray *previewImageURLs;
@property (nonatomic, readonly) IssueType type;
@property (nonatomic, readonly) NSString *inAppPurchaseId;

@property (nonatomic, readonly) BOOL paidContent;
@property (nonatomic, readonly) BOOL paidIfSubscribed;

@property (nonatomic, readonly) IAPProduct *product;
@property (nonatomic, readonly) NKIssue *nkIssue;
@property (nonatomic, assign) float downloadProgress;

@property (nonatomic, assign) IssueStatus status;

+ (NSArray *)issuesWithArray:(NSArray *)array;

- (instancetype)initWithDictionary:(NSDictionary *)dict;

- (NSString *)downloadedPath;
- (void)downloadIssue:(void(^)(NSError *error))completion;

- (void)deleteDownload;

@end

