//
//  Publisher.h
//  Almond-AppVault
//
//  Created by Roman Stetsenko on 17/12/14.
//  Copyright (c) 2014 AkmStudio Ltd. All rights reserved.
//


#import <Foundation/Foundation.h>
#import "Issue.h"
#import "IAPProduct.h"


@interface Publisher : NSObject

@property (nonatomic, readonly) NSString *magazineName;
@property (nonatomic, readonly) NSString *headerSubscribeText;
@property (nonatomic, readonly) NSString *headerSubscribedText;
@property (nonatomic, readonly) NSArray *subscriptions; // Array of IAPProducts

@property (nonatomic, readonly) NSArray *issues; // Array of Issues

+ (instancetype)sharedInstance;

- (void)getLatestInfo:(void(^)(NSError *error))completion;

//- (BOOL)isSubscribedToMagazine;
- (BOOL)isSubscribedToMagazine:(void (^)(BOOL subscribed, NSError *error))completion;
- (void)subscribe:(IAPProduct *)subscription completion:(void(^)(NSError *error))completion;

- (BOOL)isPurchasedIssue:(Issue *)issue;
- (void)purchaseIssue:(Issue *)issue completion:(void(^)(NSError *error))completion;
- (void)restorePurchases:(void(^)(NSError *error))completion;

@end

